From 8b7878ccff292116749be38b8fe0b4f9d8106d20 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 27 2020 21:16:36 +0000
Subject: [PATCH 934/2232] Combine bazel codegen steps into one run of cxxbridge


---

diff --git a/tools/bazel/rust_cxx_bridge.bzl b/tools/bazel/rust_cxx_bridge.bzl
index 497061d..d4111c6 100644
--- a/tools/bazel/rust_cxx_bridge.bzl
+++ b/tools/bazel/rust_cxx_bridge.bzl
@@ -7,26 +7,28 @@ def rust_cxx_bridge(
         include_prefix = None,
         strip_include_prefix = None,
         deps = []):
-    run_binary(
+    native.alias(
         name = "%s/header" % name,
-        srcs = [src],
-        outs = [src + ".h"],
-        args = [
-            "$(location %s)" % src,
-            "-o",
-            "$(location %s.h)" % src,
-            "--header",
-        ],
-        tool = "//:codegen",
+        actual = src + ".h",
     )
 
-    run_binary(
+    native.alias(
         name = "%s/source" % name,
+        actual = src + ".cc",
+    )
+
+    run_binary(
+        name = "%s/generated" % name,
         srcs = [src],
-        outs = [src + ".cc"],
+        outs = [
+            src + ".h",
+            src + ".cc",
+        ],
         args = [
             "$(location %s)" % src,
             "-o",
+            "$(location %s.h)" % src,
+            "-o",
             "$(location %s.cc)" % src,
         ],
         tool = "//:codegen",
@@ -34,13 +36,13 @@ def rust_cxx_bridge(
 
     cc_library(
         name = name,
-        srcs = [":%s/source" % name],
+        srcs = [src + ".cc"],
         deps = deps + [":%s/include" % name],
     )
 
     cc_library(
         name = "%s/include" % name,
-        hdrs = [":%s/header" % name],
+        hdrs = [src + ".h"],
         include_prefix = include_prefix,
         strip_include_prefix = strip_include_prefix,
     )

